﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WinFormsApp1
{
    public partial class Form2 : Form
    {
        public Form2()
        {
            InitializeComponent();
            SetLanguage(LanguageManger.Instance.Language);
            LanguageManger.Instance.LanguageChanged += (sender, args) => SetLanguage(args);
        }

        public void SetLanguage(ILanguage language)
        {
            Controls.Cast<Control>().ToList().ForEach(x =>
            {
                language.ResourceManager.ApplyResources(x,this.Name+"."+ x.Name);
            });
            language.ResourceManager.ApplyResources(this, this.Name);
            this.label1.Text ="当前语言:"+ language.CultureInfo.DisplayName;
        }
    }
}
